Get a KYC profile by account id if it exists.
Get KYC Profile
/api/accounts/{accountId}/kyc-profile Request
Path Parameters
accountIdstringrequiredId of the cardholder or identity account.
Query Parameters
includePersonalDetailsbooleandefault: falseInclude personal details (name, date of birth, etc) in the response. Requires additional permissions.
Response
Successful operation.
Body application/json
idstringThe KYC profile id.
accountIdstringThe account id.
statusstringAllowed values:createdpendingpassingpassedfailingfailedThe status of the KYC profile.
regionstringRegion code.
createdAtstringTimestamp of KYC profile creation.
createdBystringThe Immersve Resource Name (IRN) that created the resource.
modifiedAtstringTimestamp of this KYC profile modification.
modifiedBystringThe Immersve Resource Name (IRN) that modified the resource.
Subject is not allowed to perform the action with the reason stated in the errorCode.
FORBIDDEN Account does not exist or there are no sufficient permissions to view KYC profile for this account.
KYC_PROFILE_DOES_NOT_EXIST KYC profile does not exist for this account. It gets created upon initiating the first KYC check.
LIVENESS_MISMATCH Resource liveness does not match request liveness.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring